﻿/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
04/2016 - ATMEL STUDIO 7

This program demonstrates how Atmel Studio 7 can be used to program the Brainbox Arduino - based on the ARduino Leonardo
Look at the manual on www.E2CRE8.be on how to set up STUDIO7 and AVRDUDE to program the Hardware of the BBA

This program 'reads' the level of the input pin F0 (Arduino pin 23). When this pin is high, the siren will sound with a 500Hz signal - when it is low - the siren will sound with a 1KHz signal
The siren is a buzzer that is connected to pin E6

These programs are used in school environments and the C code is kept low level for that reason

 */
#include <Arduino.h>		// by including this lib - the usage of most ARduino libraries is made possible - not necessary if you are not using any arduino instructions
#include <avr/io.h>			// This lib is needed for the C compiler to know the correct addresses for registers like DDRB, PORTB, ...
#include <util/delay.h>		// This lib is needed to calculate the correct delays for "_delay_ms(10);" 
//- the clockspeed of the ARduino Leonardo is automatically set when opening an Arduino project under STUDIO 7


int main (void)			// main program
{
  DDRF = 0b00000000; // pin F0 (ARduino pin 23) is digital input (all pins of portF are digital inputs...)
  DDRE = 0b01000000; // pin E6  (ARduino pin 7) connected to buzzer = output pin

  
    while(1)				// while(1) is an ever lasting loop
		{
		if (PINF & 0b00000001) // when the input of F0 is high (we used a mask to only look at pin 0 of port F)
			{
			PORTE = 0b01000000;			// make pin E6 high
			_delay_ms(1);				//wait
			PORTE = 0b00000000;			// make pin E6 low
			_delay_ms(1);				//wait
			}
			
		else // when the input of F0 is low
			{
				PORTE = 0b01000000;			// make pin E6 high
				_delay_us(500);				//wait
				PORTE = 0b00000000;			// make pin E6 low
				_delay_us(500);				//wait
			}
		    
		}
}
